package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.util.List;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: TradeInListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:50
 */
@Data
public class Nft040TradeInListResp
{
    /**
     * 交易信息总数
     */
    private Long total;
    /**
     * 交易信息列表
     */
    private List<TradeInfo> tradeList;

    private static final Nft040TradeInListResp obj = new Nft040TradeInListResp();
    public static Nft040TradeInListResp getNew() {
        try {
            return (Nft040TradeInListResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft040TradeInListResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
